Index: issm/trunk/packagers/mac/package-issm-mac-binaries-matlab.sh
===================================================================
--- issm/trunk/packagers/mac/package-issm-mac-binaries-matlab.sh	(revision 27035)
+++ issm/trunk/packagers/mac/package-issm-mac-binaries-matlab.sh	(revision 27232)
@@ -109,4 +109,12 @@
 fi
 
+echo "Moving Gmsh binaries to bin/"
+if [ -f ${ISSM_DIR}/externalpackages/gmsh/install/bin/gmsh ]; then
+	cp ${ISSM_DIR}/externalpackages/gmsh/install/bin/gmsh .
+else
+	echo "Gmsh not found"
+	exit 1
+fi
+
 echo "Moving GMT binaries to bin/"
 if [ -f ${ISSM_DIR}/externalpackages/gmt/install/bin/gmt-config ]; then
@@ -118,9 +126,19 @@
 fi
 
-echo "Moving Gmsh binaries to bin/"
-if [ -f ${ISSM_DIR}/externalpackages/gmsh/install/bin/gmsh ]; then
-	cp ${ISSM_DIR}/externalpackages/gmsh/install/bin/gmsh .
+echo "Moving GSHHG assets to share/"
+if [ -d ${ISSM_DIR}/externalpackages/gmt/install/share/coast ]; then
+	mkdir ${ISSM_DIR}/share 2> /dev/null
+	cp -R ${ISSM_DIR}/externalpackages/gmt/install/share/coast ${ISSM_DIR}/share
 else
-	echo "Gmsh not found"
+	echo "GSHHG not found"
+	exit 1
+fi
+
+echo "Moving PROJ assets to share/"
+if [ -d ${ISSM_DIR}/externalpackages/proj/install/share/proj ]; then
+	mkdir ${ISSM_DIR}/share 2> /dev/null
+	cp -R ${ISSM_DIR}/externalpackages/proj/install/share/proj ${ISSM_DIR}/share
+else
+	echo "PROJ not found"
 	exit 1
 fi
@@ -133,8 +151,8 @@
 
 	# Run tests, redirecting output to logfile and suppressing output to console
-	${MATLAB_PATH}/bin/matlab -nojvm -nosplash -nojvm -r "try, addpath ${ISSM_DIR}/bin ${ISSM_DIR}/lib; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" &> matlab.log
+	${MATLAB_PATH}/bin/matlab -nojvm -nosplash -nojvm -r "try, addpath ${ISSM_DIR}/bin ${ISSM_DIR}/lib ${ISSM_DIR}/share; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" &> matlab.log
 
 	# Check that MATLAB did not exit in error
-	matlabExitedInError=`grep -E "Activation cannot proceed|Error in matlab_run|Illegal use of reserved keyword" matlab.log | wc -l`
+	matlabExitedInError=`grep -c -E "Activation cannot proceed|Error in matlab_run|Illegal use of reserved keyword" matlab.log`
 
 	if [ ${matlabExitedInError} -ne 0 ]; then
@@ -150,8 +168,10 @@
 
 	# Check that all tests passed
-	numTestsFailed=`cat matlab.log | grep -c -e "FAILED|ERROR"`
+	sed -i '' "/FAILED TO establish the default connection to the WindowServer/d" matlab.log # First, need to remove WindowServer error message
+	numTestsFailed=`grep -c -E "FAILED|ERROR" matlab.log`
 
 	if [ ${numTestsFailed} -ne 0 ]; then
 		echo "One or more tests FAILED"
+		cat matlab.log
 		exit 1
 	else
@@ -166,5 +186,5 @@
 svn cleanup --remove-ignored --remove-unversioned test # Clean up test directory (before copying to package)
 echo "Copying assets to package: ${PKG}"
-cp -rf bin examples lib scripts test ${PKG}
+cp -rf bin examples lib scripts share test ${PKG}
 mkdir ${PKG}/execution
 cp packagers/mac/issm-executable_entitlements.plist ${PKG}/bin/entitlements.plist
Index: issm/trunk/packagers/mac/package-issm-mac-binaries-python-2.sh
===================================================================
--- issm/trunk/packagers/mac/package-issm-mac-binaries-python-2.sh	(revision 27035)
+++ issm/trunk/packagers/mac/package-issm-mac-binaries-python-2.sh	(revision 27232)
@@ -101,4 +101,12 @@
 fi
 
+echo "Moving Gmsh binaries to bin/"
+if [ -f ${ISSM_DIR}/externalpackages/gmsh/install/bin/gmsh ]; then
+	cp ${ISSM_DIR}/externalpackages/gmsh/install/bin/gmsh .
+else
+	echo "Gmsh not found"
+	exit 1
+fi
+
 echo "Moving GMT binaries to bin/"
 if [ -f ${ISSM_DIR}/externalpackages/gmt/install/bin/gmt-config ]; then
@@ -110,9 +118,19 @@
 fi
 
-echo "Moving Gmsh binaries to bin/"
-if [ -f ${ISSM_DIR}/externalpackages/gmsh/install/bin/gmsh ]; then
-	cp ${ISSM_DIR}/externalpackages/gmsh/install/bin/gmsh .
+echo "Moving GSHHG assets to share/"
+if [ -d ${ISSM_DIR}/externalpackages/gmt/install/share/coast ]; then
+	mkdir ${ISSM_DIR}/share 2> /dev/null
+	cp -R ${ISSM_DIR}/externalpackages/gmt/install/share/coast ${ISSM_DIR}/share
 else
-	echo "Gmsh not found"
+	echo "GSHHG not found"
+	exit 1
+fi
+
+echo "Moving PROJ assets to share/"
+if [ -d ${ISSM_DIR}/externalpackages/proj/install/share/proj ]; then
+	mkdir ${ISSM_DIR}/share 2> /dev/null
+	cp -R ${ISSM_DIR}/externalpackages/proj/install/share/proj ${ISSM_DIR}/share
+else
+	echo "PROJ not found"
 	exit 1
 fi
@@ -134,5 +152,5 @@
 	# Check that Python did not exit in error
 	pythonExitCode=`echo $?`
-	pythonExitedInError=`grep -E "Error|Standard exception|Traceback|bad interpreter" python.log | wc -l`
+	pythonExitedInError=`grep -c -E "Error|Standard exception|Traceback|bad interpreter" python.log`
 
 	if [[ ${pythonExitCode} -ne 0 || ${pythonExitedInError} -ne 0 ]]; then
@@ -148,8 +166,10 @@
 
 	# Check that all tests passed
-	numTestsFailed=`cat python.log | grep -c -e "FAILED|ERROR"`
+	sed -i '' "/FAILED TO establish the default connection to the WindowServer/d" python.log # First, need to remove WindowServer error message
+	numTestsFailed=`grep -c -E "FAILED|ERROR" python.log`
 
 	if [ ${numTestsFailed} -ne 0 ]; then
 		echo "One or more tests FAILED"
+		cat python.log
 		exit 1
 	else
@@ -164,5 +184,5 @@
 svn cleanup --remove-ignored --remove-unversioned test # Clean up test directory (before copying to package)
 echo "Copying assets to package: ${PKG}"
-cp -rf bin examples lib scripts test ${PKG}
+cp -rf bin examples lib scripts share test ${PKG}
 mkdir ${PKG}/execution
 cp packagers/mac/issm-executable_entitlements.plist ${PKG}/bin/entitlements.plist
Index: issm/trunk/packagers/mac/package-issm-mac-binaries-python-3.sh
===================================================================
--- issm/trunk/packagers/mac/package-issm-mac-binaries-python-3.sh	(revision 27035)
+++ issm/trunk/packagers/mac/package-issm-mac-binaries-python-3.sh	(revision 27232)
@@ -101,4 +101,12 @@
 fi
 
+echo "Moving Gmsh binaries to bin/"
+if [ -f ${ISSM_DIR}/externalpackages/gmsh/install/bin/gmsh ]; then
+	cp ${ISSM_DIR}/externalpackages/gmsh/install/bin/gmsh .
+else
+	echo "Gmsh not found"
+	exit 1
+fi
+
 echo "Moving GMT binaries to bin/"
 if [ -f ${ISSM_DIR}/externalpackages/gmt/install/bin/gmt-config ]; then
@@ -110,9 +118,19 @@
 fi
 
-echo "Moving Gmsh binaries to bin/"
-if [ -f ${ISSM_DIR}/externalpackages/gmsh/install/bin/gmsh ]; then
-	cp ${ISSM_DIR}/externalpackages/gmsh/install/bin/gmsh .
-else
-	echo "Gmsh not found"
+echo "Moving GSHHG assets to share/"
+if [ -d ${ISSM_DIR}/externalpackages/gmt/install/share/coast ]; then
+	mkdir ${ISSM_DIR}/share 2> /dev/null
+	cp -R ${ISSM_DIR}/externalpackages/gmt/install/share/coast ${ISSM_DIR}/share
+else
+	echo "GSHHG not found"
+	exit 1
+fi
+
+echo "Moving PROJ assets to share/"
+if [ -d ${ISSM_DIR}/externalpackages/proj/install/share/proj ]; then
+	mkdir ${ISSM_DIR}/share 2> /dev/null
+	cp -R ${ISSM_DIR}/externalpackages/proj/install/share/proj ${ISSM_DIR}/share
+else
+	echo "PROJ not found"
 	exit 1
 fi
@@ -137,5 +155,5 @@
 	# Check that Python did not exit in error
 	pythonExitCode=`echo $?`
-	pythonExitedInError=`grep -E "Error|Standard exception|Traceback|bad interpreter" python.log | wc -l`
+	pythonExitedInError=`grep -c -E "Error|Standard exception|Traceback|bad interpreter" python.log`
 
 	if [[ ${pythonExitCode} -ne 0 || ${pythonExitedInError} -ne 0 ]]; then
@@ -151,8 +169,10 @@
 
 	# Check that all tests passed
-	numTestsFailed=`cat python.log | grep -c -e "FAILED|ERROR"`
+	sed -i '' "/FAILED TO establish the default connection to the WindowServer/d" python.log # First, need to remove WindowServer error message
+	numTestsFailed=`grep -c -E "FAILED|ERROR" python.log`
 
 	if [ ${numTestsFailed} -ne 0 ]; then
 		echo "One or more tests FAILED"
+		cat python.log
 		exit 1
 	else
@@ -167,5 +187,5 @@
 svn cleanup --remove-ignored --remove-unversioned test # Clean up test directory (before copying to package)
 echo "Copying assets to package: ${PKG}"
-cp -rf bin examples lib scripts test ${PKG}
+cp -rf bin examples lib scripts share test ${PKG}
 mkdir ${PKG}/execution
 cp packagers/mac/issm-executable_entitlements.plist ${PKG}/bin/entitlements.plist
Index: issm/trunk/packagers/mac/sign-issm-mac-binaries-matlab.sh
===================================================================
--- issm/trunk/packagers/mac/sign-issm-mac-binaries-matlab.sh	(revision 27035)
+++ issm/trunk/packagers/mac/sign-issm-mac-binaries-matlab.sh	(revision 27232)
@@ -45,5 +45,5 @@
 #	the 'Bindings' section under a 'Username and password (separated)' binding 
 #	(requires 'Credentials Binding Plugin').
-# - For local debugging, the aformentioned credentials can be hardcoded into 
+# - For local debugging, the aforementioned credentials can be hardcoded into 
 #	the 'USERNAME' and 'PASSWORD' constants below.
 ################################################################################
@@ -109,5 +109,5 @@
 
 # # Check out copy of repository for unsigned packages
-# echo "Checking out copy of respository for unsigned packages"
+# echo "Checking out copy of repository for unsigned packages"
 # svn checkout \
 # 	--trust-server-cert \
@@ -160,10 +160,10 @@
 
 # Sleep until notarization request response is received
-echo "Waiting for notarizaion request response"
+echo "Waiting for notarization request response"
 while [[ ! -f ${NOTARIZATION_LOGFILE_PATH}/${NOTARIZATION_LOGFILE} || ! -z $(find ${NOTARIZATION_LOGFILE_PATH} -empty -name ${NOTARIZATION_LOGFILE}) ]]; do
 	sleep 30
 done
 
-echo "Notarizaion request response received"
+echo "Notarization request response received"
 
 # Check if UUID exists in response
@@ -249,5 +249,5 @@
 
 # Check out copy of repository for signed packages
-echo "Checking out copy of respository for signed packages"
+echo "Checking out copy of repository for signed packages"
 SVN_ATTEMPT=0
 SVN_SUCCESS=0
@@ -271,5 +271,5 @@
 
 if [ ${SVN_SUCCESS} -eq 0 ]; then
-	echo "Checkout of respository for signed packages failed"
+	echo "Checkout of repository for signed packages failed"
 	exit 1
 fi
@@ -308,5 +308,5 @@
 
 	if [ ${SVN_SUCCESS} -eq 0 ]; then
-		echo "Commit to respository for signed packages failed"
+		echo "Commit to repository for signed packages failed"
 		exit 1
 	fi
@@ -331,5 +331,5 @@
 
 	if [ ${SVN_SUCCESS} -eq 0 ]; then
-		echo "Commit to respository for signed packages failed"
+		echo "Commit to repository for signed packages failed"
 		exit 1
 	fi
Index: issm/trunk/packagers/mac/sign-issm-mac-binaries-python-2.sh
===================================================================
--- issm/trunk/packagers/mac/sign-issm-mac-binaries-python-2.sh	(revision 27035)
+++ issm/trunk/packagers/mac/sign-issm-mac-binaries-python-2.sh	(revision 27232)
@@ -45,5 +45,5 @@
 #	the 'Bindings' section under a 'Username and password (separated)' binding 
 #	(requires 'Credentials Binding Plugin').
-# - For local debugging, the aformentioned credentials can be hardcoded into 
+# - For local debugging, the aforementioned credentials can be hardcoded into 
 #	the 'USERNAME' and 'PASSWORD' constants below.
 ################################################################################
@@ -109,5 +109,5 @@
 
 # # Check out copy of repository for unsigned packages
-# echo "Checking out copy of respository for unsigned packages"
+# echo "Checking out copy of repository for unsigned packages"
 # svn checkout \
 # 	--trust-server-cert \
@@ -170,10 +170,10 @@
 
 # Sleep until notarization request response is received
-echo "Waiting for notarizaion request response"
+echo "Waiting for notarization request response"
 while [[ ! -f ${NOTARIZATION_LOGFILE_PATH}/${NOTARIZATION_LOGFILE} || ! -z $(find ${NOTARIZATION_LOGFILE_PATH} -empty -name ${NOTARIZATION_LOGFILE}) ]]; do
 	sleep 30
 done
 
-echo "Notarizaion request response received"
+echo "Notarization request response received"
 
 # Check if UUID exists in response
@@ -259,5 +259,5 @@
 
 # Check out copy of repository for signed packages
-echo "Checking out copy of respository for signed packages"
+echo "Checking out copy of repository for signed packages"
 SVN_ATTEMPT=0
 SVN_SUCCESS=0
@@ -281,5 +281,5 @@
 
 if [ ${SVN_SUCCESS} -eq 0 ]; then
-	echo "Checkout of respository for signed packages failed"
+	echo "Checkout of repository for signed packages failed"
 	exit 1
 fi
@@ -318,5 +318,5 @@
 
 	if [ ${SVN_SUCCESS} -eq 0 ]; then
-		echo "Commit to respository for signed packages failed"
+		echo "Commit to repository for signed packages failed"
 		exit 1
 	fi
@@ -341,5 +341,5 @@
 
 	if [ ${SVN_SUCCESS} -eq 0 ]; then
-		echo "Commit to respository for signed packages failed"
+		echo "Commit to repository for signed packages failed"
 		exit 1
 	fi
Index: issm/trunk/packagers/mac/sign-issm-mac-binaries-python-3.sh
===================================================================
--- issm/trunk/packagers/mac/sign-issm-mac-binaries-python-3.sh	(revision 27035)
+++ issm/trunk/packagers/mac/sign-issm-mac-binaries-python-3.sh	(revision 27232)
@@ -45,5 +45,5 @@
 #	the 'Bindings' section under a 'Username and password (separated)' binding 
 #	(requires 'Credentials Binding Plugin').
-# - For local debugging, the aformentioned credentials can be hardcoded into 
+# - For local debugging, the aforementioned credentials can be hardcoded into 
 #	the 'USERNAME' and 'PASSWORD' constants below.
 ################################################################################
@@ -109,5 +109,5 @@
 
 # # Check out copy of repository for unsigned packages
-# echo "Checking out copy of respository for unsigned packages"
+# echo "Checking out copy of repository for unsigned packages"
 # svn checkout \
 # 	--trust-server-cert \
@@ -170,10 +170,10 @@
 
 # Sleep until notarization request response is received
-echo "Waiting for notarizaion request response"
+echo "Waiting for notarization request response"
 while [[ ! -f ${NOTARIZATION_LOGFILE_PATH}/${NOTARIZATION_LOGFILE} || ! -z $(find ${NOTARIZATION_LOGFILE_PATH} -empty -name ${NOTARIZATION_LOGFILE}) ]]; do
 	sleep 30
 done
 
-echo "Notarizaion request response received"
+echo "Notarization request response received"
 
 # Check if UUID exists in response
@@ -259,5 +259,5 @@
 
 # Check out copy of repository for signed packages
-echo "Checking out copy of respository for signed packages"
+echo "Checking out copy of repository for signed packages"
 SVN_ATTEMPT=0
 SVN_SUCCESS=0
@@ -281,5 +281,5 @@
 
 if [ ${SVN_SUCCESS} -eq 0 ]; then
-	echo "Checkout of respository for signed packages failed"
+	echo "Checkout of repository for signed packages failed"
 	exit 1
 fi
@@ -318,5 +318,5 @@
 
 	if [ ${SVN_SUCCESS} -eq 0 ]; then
-		echo "Commit to respository for signed packages failed"
+		echo "Commit to repository for signed packages failed"
 		exit 1
 	fi
@@ -341,5 +341,5 @@
 
 	if [ ${SVN_SUCCESS} -eq 0 ]; then
-		echo "Commit to respository for signed packages failed"
+		echo "Commit to repository for signed packages failed"
 		exit 1
 	fi
Index: issm/trunk/packagers/mac/test-issm-mac-binaries-matlab.sh
===================================================================
--- issm/trunk/packagers/mac/test-issm-mac-binaries-matlab.sh	(revision 27035)
+++ issm/trunk/packagers/mac/test-issm-mac-binaries-matlab.sh	(revision 27232)
@@ -34,5 +34,5 @@
 # Check that MATLAB did not exit in error
 matlabExitCode=`echo $?`
-matlabExitedInError=`grep -E "Activation cannot proceed|license|Error|Warning: Name is nonexistent or not a directory" matlab.log | wc -l`
+matlabExitedInError=`grep -c -E "Activation cannot proceed|license|Error|Warning: Name is nonexistent or not a directory" matlab.log`
 
 if [[ ${matlabExitCode} -ne 0 || ${matlabExitedInError} -ne 0 ]]; then
@@ -45,8 +45,9 @@
 
 # Check that all tests passed
-numTestsFailed=`cat matlab.log | grep -c -e "FAILED|ERROR"`
+numTestsFailed=`grep -c -E "FAILED|ERROR" matlab.log`
 
 if [[ ${numTestsFailed} -ne 0 ]]; then
 	echo "One or more tests FAILED"
+	cat matlab.log
 	exit 1
 else
Index: issm/trunk/packagers/mac/test-issm-mac-binaries-python-2.sh
===================================================================
--- issm/trunk/packagers/mac/test-issm-mac-binaries-python-2.sh	(revision 27035)
+++ issm/trunk/packagers/mac/test-issm-mac-binaries-python-2.sh	(revision 27232)
@@ -34,5 +34,5 @@
 # Check that Python did not exit in error
 pythonExitCode=`echo $?`
-pythonExitedInError=`grep -E "runme.py: error" python.log | wc -l`
+pythonExitedInError=`grep -c -E "runme.py: error" python.log`
 
 if [[ ${pythonExitCode} -ne 0 || ${pythonExitedInError} -ne 0 ]]; then
@@ -44,8 +44,9 @@
 
 # Check that all tests passed
-numTestsFailed=`cat python.log | grep -c -e "FAILED|ERROR"`
+numTestsFailed=`grep -c -E "FAILED|ERROR" python.log`
 
 if [[ ${numTestsFailed} -ne 0 ]]; then
 	echo "One or more tests FAILED"
+	cat python.log
 	exit 1
 else
Index: issm/trunk/packagers/mac/test-issm-mac-binaries-python-3.sh
===================================================================
--- issm/trunk/packagers/mac/test-issm-mac-binaries-python-3.sh	(revision 27035)
+++ issm/trunk/packagers/mac/test-issm-mac-binaries-python-3.sh	(revision 27232)
@@ -34,5 +34,5 @@
 # Check that Python did not exit in error
 pythonExitCode=`echo $?`
-pythonExitedInError=`grep -E "runme.py: error" python.log | wc -l`
+pythonExitedInError=`grep -c -E "runme.py: error" python.log`
 
 if [[ ${pythonExitCode} -ne 0 || ${pythonExitedInError} -ne 0 ]]; then
@@ -44,8 +44,9 @@
 
 # Check that all tests passed
-numTestsFailed=`cat python.log | grep -c -e "FAILED|ERROR"`
+numTestsFailed=`grep -c -E "FAILED|ERROR" python.log`
 
 if [[ ${numTestsFailed} -ne 0 ]]; then
 	echo "One or more tests FAILED"
+	cat python.log
 	exit 1
 else
Index: issm/trunk/packagers/mac/transfer-issm-mac-binaries.sh
===================================================================
--- issm/trunk/packagers/mac/transfer-issm-mac-binaries.sh	(revision 27035)
+++ issm/trunk/packagers/mac/transfer-issm-mac-binaries.sh	(revision 27232)
@@ -76,4 +76,6 @@
 # Retrieve signed and notarized package
 svn update \
+	--trust-server-cert \
+	--non-interactive \
 	--username ${ISSM_BINARIES_REPO_USER} \
 	--password ${ISSM_BINARIES_REPO_PASS} \
Index: issm/trunk/src/c/Makefile.am
===================================================================
--- issm/trunk/src/c/Makefile.am	(revision 27035)
+++ issm/trunk/src/c/Makefile.am	(revision 27232)
@@ -346,5 +346,6 @@
 	./classes/Inputs/ControlInput.cpp \
 	./classes/Inputs/TransientInput.cpp \
-	./classes/Inputs/ArrayInput.cpp
+	./classes/Inputs/ArrayInput.cpp \
+	./classes/Inputs/IntArrayInput.cpp
 #}}}
 # ADJOINTMPI/MeDiPack sources {{{
@@ -400,5 +401,5 @@
 endif
 #}}}
-#GSL sources {{{
+# GSL sources {{{
 if GSL
 issm_sources += ./toolkits/gsl/DenseGslSolve.cpp
@@ -419,4 +420,7 @@
 if ADJOINTHORIZ
 issm_sources += ./analyses/AdjointHorizAnalysis.cpp
+endif
+if AGE
+issm_sources += ./analyses/AgeAnalysis.cpp
 endif
 if BALANCETHICKNESS
@@ -530,11 +534,5 @@
 issm_sources += \
 	./cores/love_core.cpp \
-	./analyses/LoveAnalysis.cpp \
-	./modules/FourierLoveCorex/FourierLoveCorex.cpp \
-	./modules/FourierLoveCorex/lnb_param.f90 \
-	./modules/FourierLoveCorex/model.f90 \
-	./modules/FourierLoveCorex/util.f90 \
-	./modules/FourierLoveCorex/lovenb_sub.f90 \
-	./modules/FourierLoveCorex/love_numbers.f90
+	./analyses/LoveAnalysis.cpp
 endif
 endif
@@ -831,5 +829,5 @@
 
 # External packages
-LDADD += $(CHACOLIB) $(DAKOTALIB) $(PETSCLIB) $(MUMPSLIB) $(SCALAPACKLIB) $(BLASLAPACKLIB) $(PARMETISLIB) $(METISLIB) $(NEOPZLIB) $(TAOLIB) $(M1QN3LIB) $(SEMICLIB) $(PLAPACKLIB) $(MPLAPACKLIB) $(SUPERLULIB) $(SPOOLESLIB) $(BLACSLIB) $(HDF5LIB) $(HYPRELIB) $(SPAILIB) $(PROMETHEUSLIB) $(PASTIXLIB) $(MLLIB) $(SCOTCHLIB) $(MKLLIB) $(MPILIB) $(MATHLIB) $(GRAPHICSLIB) $(MULTITHREADINGLIB) $(GSLLIB) $(AMPILIB) $(ADJOINTMPILIB) $(ADOLCLIB) $(MPILIB) $(METEOIOLIB) $(SNOWPACKLIB) $(PROJLIB) $(ESMFLIB) $(OSLIBS)
+LDADD += $(SEMICLIB) $(M1QN3LIB) $(CHACOLIB) $(PETSCLIB) $(MUMPSLIB) $(SCALAPACKLIB) $(BLASLAPACKLIB) $(PARMETISLIB) $(METISLIB) $(NEOPZLIB) $(TAOLIB) $(PLAPACKLIB) $(MPLAPACKLIB) $(SUPERLULIB) $(SPOOLESLIB) $(BLACSLIB) $(HDF5LIB) $(HYPRELIB) $(SPAILIB) $(PROMETHEUSLIB) $(PASTIXLIB) $(MLLIB) $(SCOTCHLIB) $(MKLLIB) $(MATHLIB) $(GRAPHICSLIB) $(MULTITHREADINGLIB) $(GSLLIB) $(AMPILIB) $(ADJOINTMPILIB) $(ADOLCLIB) $(MPILIB) $(METEOIOLIB) $(SNOWPACKLIB) $(PROJLIB) $(ESMFLIB) $(OSLIBS)
 
 if FORTRAN
@@ -842,4 +840,5 @@
 issm_slc_SOURCES = main/issm_slc.cpp
 issm_slc_CXXFLAGS= $(CXXFLAGS) $(CXXOPTFLAGS)
+issm_slc_LDADD = $(DAKOTALIB) $(LDADD)
 
 if OCEAN
@@ -859,5 +858,5 @@
 issm_dakota_SOURCES = main/issm_dakota.cpp
 issm_dakota_CXXFLAGS= $(CXXFLAGS) $(CXXOPTFLAGS) $(COPTFLAGS)
-issm_dakota_LDADD= $(LDADD)
+issm_dakota_LDADD = $(DAKOTALIB) $(LDADD)
 bin_PROGRAMS += issm_post
 issm_post_SOURCES = main/issm_post.cpp
Index: issm/trunk/src/c/analyses/AdjointHorizAnalysis.cpp
===================================================================
--- issm/trunk/src/c/analyses/AdjointHorizAnalysis.cpp	(revision 27035)
+++ issm/trunk/src/c/analyses/AdjointHorizAnalysis.cpp	(revision 27232)
@@ -3362,5 +3362,5 @@
 	 element->AddInput(AdjointpEnum,lambdap,element->PressureInterpolation());	
 
-	/*Free ressources:*/
+	/*Free resources:*/
 	xDelete<int>(vdoflist);
 	xDelete<int>(pdoflist);
@@ -3414,5 +3414,5 @@
 	element->AddInput(AdjointyEnum,lambday,element->GetElementType());
 
-	/*Free ressources:*/
+	/*Free resources:*/
 	xDelete<IssmDouble>(values);
 	xDelete<IssmDouble>(lambdax);
@@ -3483,5 +3483,5 @@
 	element->AddInput(AdjointyEnum,lambday,element->GetElementType());
 
-	/*Free ressources:*/
+	/*Free resources:*/
 	xDelete<IssmDouble>(values);
 	xDelete<IssmDouble>(lambdax);
